import { T as TableConfig } from './table-config-d73a72ab.js';
import { D as DvnAppViewConfig } from './view-config-1ed8c59f.js';

class TableListViewConfig extends DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(TableListViewConfig.prototype), json);
    model.table = TableConfig.decode(model.table);
    return model;
  }
}

export { TableListViewConfig as T };
